# Class pyglet.window.WindowException

    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  WindowException

Known Subclasses:
  MouseCursorException, NoSuchConfigException, NoSuchDisplayException

The root exception for all window-related errors.

## Methods

Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`

## Properties

Inherited from `exceptions.BaseException`: `args`, `message`